Bug 847082 - Yum configuration parameter max_connections is not working
Yum configuration parameter max_connections is not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-urlgrabber (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
Patrik Kis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 12:07 EDT by Patrik Kis
Modified: 2014-06-13 06:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-urlgrabber-3.9.1-23.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:01:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2012-08-09 12:07:05 EDT
Description of problem:
Whatever value is configured for max_connections in /etc/yum.conf always the default 5 is used.

Version-Release number of selected component (if applicable):
yum-3.4.3-30.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. In /etc/yum.conf set max_connections=1
2. Start install via yum more packages which are available in more remote mirrors
3. Check the number of download threads
  
Actual results:
depending on number of packages and mirrors, but for example with 4 packages and 2 mirrors there are 4 download threads

Expected results:
1 download thread
Comment 3 Zdeněk Pavlas 2012-11-13 04:25:17 EST
That's an urlgrabber bug.  Fixed by this commit, I believe:
http://yum.baseurl.org/gitweb?p=urlgrabber.git;a=commitdiff;h=f5800278
Comment 4 Patrik Kis 2013-06-17 07:56:45 EDT
VERIFIED

Tested with: /CoreOS/yum/Sanity/yum-parallel-download-from-different-repos

OLD: python-urlgrabber-3.9.1-15.el7

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 1 repo; max_connections=default (5)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Check that there were 2 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.2:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   LOG    ] :: Duration: 21s
:: [   LOG    ] :: Assertions: 12 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum with 1 repo; max_connections=default (5)

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 2 repos; max_connections=default (5)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Check that there were 4 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.3:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   LOG    ] :: Duration: 23s
:: [   LOG    ] :: Assertions: 18 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum with 2 repos; max_connections=default (5)

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 3 repos; max_connections=default (5)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test3@127.0.0.3 parayum.3.3-1.0-1.noarch.rpm parayum.6.3-1.0-1.noarch.rpm parayum.9.3-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2  parayum.3.3 parayum.6.3 parayum.9.3 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.3.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.3.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.6.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.6.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.9.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.9.3-1.0-1.noarch
:: [   PASS   ] :: Check that there were 5 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.3:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.4:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   PASS   ] :: Remove test repository: ftp_test3
:: [   LOG    ] :: Duration: 25s
:: [   LOG    ] :: Assertions: 24 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum with 3 repos; max_connections=default (5)

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 2 repos; max_connections=1
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'echo max_connections=1 >> /etc/yum.conf'
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   FAIL   ] :: Check that there were 1 parallel downloads (Assert: 4 should equal 1)
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.3:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   LOG    ] :: Duration: 24s
:: [   LOG    ] :: Assertions: 18 good, 1 bad
:: [   FAIL   ] :: RESULT: Test yum with 2 repos; max_connections=1

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum 3 repos; max_connections=4
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'echo max_connections=4 >> /etc/yum.conf'
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test3@127.0.0.3 parayum.3.3-1.0-1.noarch.rpm parayum.6.3-1.0-1.noarch.rpm parayum.9.3-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2  parayum.3.3 parayum.6.3 parayum.9.3 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.3.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.3.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.6.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.6.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.9.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.9.3-1.0-1.noarch
:: [   FAIL   ] :: Check that there were 4 parallel downloads (Assert: 5 should equal 4)
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.3:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.4:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   PASS   ] :: Remove test repository: ftp_test3
:: [   LOG    ] :: Duration: 25s
:: [   LOG    ] :: Assertions: 24 good, 1 bad
:: [   FAIL   ] :: RESULT: Test yum 3 repos; max_connections=4

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum 3 repos; max_connections=7
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'echo max_connections=7 >> /etc/yum.conf'
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test3@127.0.0.3 parayum.3.3-1.0-1.noarch.rpm parayum.6.3-1.0-1.noarch.rpm parayum.9.3-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2  parayum.3.3 parayum.6.3 parayum.9.3 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.3.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.3.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.6.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.6.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.9.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.9.3-1.0-1.noarch
:: [   FAIL   ] :: Check that there were 6 parallel downloads (Assert: 5 should equal 6)
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.3:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.4:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   PASS   ] :: Remove test repository: ftp_test3
:: [   LOG    ] :: Duration: 25s
:: [   LOG    ] :: Assertions: 24 good, 1 bad
:: [   FAIL   ] :: RESULT: Test yum 3 repos; max_connections=7


NEW: python-urlgrabber-3.9.1-28.el7

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 1 repo; max_connections=default (5)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Check that there were 2 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.2:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   LOG    ] :: Duration: 22s
:: [   LOG    ] :: Assertions: 12 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum with 1 repo; max_connections=default (5)

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 2 repos; max_connections=default (5)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Check that there were 4 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.3:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   LOG    ] :: Duration: 22s
:: [   LOG    ] :: Assertions: 18 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum with 2 repos; max_connections=default (5)

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 3 repos; max_connections=default (5)
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test3@127.0.0.3 parayum.3.3-1.0-1.noarch.rpm parayum.6.3-1.0-1.noarch.rpm parayum.9.3-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2  parayum.3.3 parayum.6.3 parayum.9.3 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.3.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.3.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.6.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.6.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.9.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.9.3-1.0-1.noarch
:: [   PASS   ] :: Check that there were 5 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.3:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.4:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   PASS   ] :: Remove test repository: ftp_test3
:: [   LOG    ] :: Duration: 24s
:: [   LOG    ] :: Assertions: 24 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum with 3 repos; max_connections=default (5)

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum with 2 repos; max_connections=1
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'echo max_connections=1 >> /etc/yum.conf'
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Check that there were 1 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.3:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   LOG    ] :: Duration: 53s
:: [   LOG    ] :: Assertions: 19 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum with 2 repos; max_connections=1

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum 3 repos; max_connections=4
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'echo max_connections=4 >> /etc/yum.conf'
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test3@127.0.0.3 parayum.3.3-1.0-1.noarch.rpm parayum.6.3-1.0-1.noarch.rpm parayum.9.3-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2  parayum.3.3 parayum.6.3 parayum.9.3 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.3.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.3.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.6.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.6.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.9.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.9.3-1.0-1.noarch
:: [   PASS   ] :: Check that there were 4 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.3:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.4:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   PASS   ] :: Remove test repository: ftp_test3
:: [   LOG    ] :: Duration: 32s
:: [   LOG    ] :: Assertions: 25 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum 3 repos; max_connections=4

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test yum 3 repos; max_connections=7
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'echo max_connections=7 >> /etc/yum.conf'
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test1@127.0.0.1 parayum.1.1-1.0-1.noarch.rpm parayum.4.1-1.0-1.noarch.rpm parayum.7.1-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test2@127.0.0.2 parayum.2.2-1.0-1.noarch.rpm parayum.5.2-1.0-1.noarch.rpm parayum.8.2-1.0-1.noarch.rpm '
:: [   PASS   ] :: Running 'ftp_repo_setup ftp_test3@127.0.0.3 parayum.3.3-1.0-1.noarch.rpm parayum.6.3-1.0-1.noarch.rpm parayum.9.3-1.0-1.noarch.rpm '
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Set the same download rate in yum for each mirror
:: [   PASS   ] :: Running 'yum -y install  parayum.1.1 parayum.4.1 parayum.7.1  parayum.2.2 parayum.5.2 parayum.8.2  parayum.3.3 parayum.6.3 parayum.9.3 '
:: [   PASS   ] :: Checking for the presence of parayum.1.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.1.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.4.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.4.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.7.1 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.7.1-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.2.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.2.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.5.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.5.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.8.2 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.8.2-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.3.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.3.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.6.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.6.3-1.0-1.noarch
:: [   PASS   ] :: Checking for the presence of parayum.9.3 rpm
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   parayum.9.3-1.0-1.noarch
:: [   PASS   ] :: Check that there were 6 parallel downloads
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.1:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.2:21'
:: [   PASS   ] :: File 'netstat.log' should contain '127.0.0.3:21'
:: [   PASS   ] :: File 'netstat.log' should not contain '127.0.0.4:21'
:: [   PASS   ] :: Uninstall the test packages
:: [   PASS   ] :: Remove test repository: ftp_test1
:: [   PASS   ] :: Remove test repository: ftp_test2
:: [   PASS   ] :: Remove test repository: ftp_test3
:: [   LOG    ] :: Duration: 25s
:: [   LOG    ] :: Assertions: 25 good, 0 bad
:: [   PASS   ] :: RESULT: Test yum 3 repos; max_connections=7
Comment 5 Ludek Smid 2014-06-13 06:01:15 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.